漏洞预警 | Apache Struts2远程代码执行漏洞

admin 2023年12月8日12:42:23评论41 views字数 390阅读1分18秒阅读模式
0x00 漏洞编号
  • CVE-2023-50164

0x01 危险等级
  • 高危

0x02 漏洞概述

Apache Struts2是一个免费、开源的MVC框架,用于创建Java Web应用程序。

漏洞预警 | Apache Struts2远程代码执行漏洞

0x03 漏洞详情

CVE-2023-50164
漏洞类型:文件上传
影响:远程代
简述:Apache Struts2中存在文件上传漏洞,该漏洞是由于文件上传逻辑存在缺陷,攻击者可以操纵文件上传参数来启用路径遍历,在某些情况下,这可能导致上传可用于执行远程代码执行的恶意文件。

0x04 影响版本
  • 2.5.0 <= Apache Struts2 <= 2.5.32

  • 6.0.0 <= Apache Struts2 <= 6.3.0

0x05 修复建议

目前官方已发布漏洞修复版本,建议用户升级到安全版本
https://github.com/apache/struts


原文始发于微信公众号(浅安安全):漏洞预警 | Apache Struts2远程代码执行漏洞

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2023年12月8日12:42:23
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   漏洞预警 | Apache Struts2远程代码执行漏洞https://cn-sec.com/archives/2279554.html

发表评论

匿名网友 填写信息